### File

`src/lib/data-grid-header-cell-def.directive.ts`

### Metadata

Selector | `[rxapDataGridHeaderCellDef]`
Standalone | `true`

### Index

###### Properties
Public template
###### Methods
Static ngTemplateContextGuard

### Constructor

`constructor(template: TemplateRef<DataGridHeaderCellDefDirectiveContext>)`
Defined in src/lib/data-grid-header-cell-def.directive.ts:21
Parameters :
Name | Type | Optional
template | `TemplateRef<DataGridHeaderCellDefDirectiveContext>` | No

### Methods

Static ngTemplateContextGuard
`ngTemplateContextGuard(dir: DataGridHeaderCellDefDirective, ctx: any)`
Defined in src/lib/data-grid-header-cell-def.directive.ts:16
Parameters :
Name | Type | Optional
dir | `DataGridHeaderCellDefDirective` | No
ctx | `any` | No
Returns : `DataGridHeaderCellDefDirectiveContext`

### Properties

Public template
Type : `TemplateRef<DataGridHeaderCellDefDirectiveContext>`
Decorators : `@Inject(TemplateRef)`
Defined in src/lib/data-grid-header-cell-def.directive.ts:25

    import {
      Directive,
      Inject,
      TemplateRef,
    } from '@angular/core';

    export interface DataGridHeaderCellDefDirectiveContext {
      $implicit: string;
    }

    @Directive({
      selector: '[rxapDataGridHeaderCellDef]',
      standalone: true,
    })
    export class DataGridHeaderCellDefDirective {
      public static ngTemplateContextGuard(
        dir: DataGridHeaderCellDefDirective,
        ctx: any,
      ): ctx is DataGridHeaderCellDefDirectiveContext {
        return true;
      }

      constructor(
        @Inject(TemplateRef)
        public template: TemplateRef<DataGridHeaderCellDefDirectiveContext>,
      ) {
      }
    }

# results matching ""

# No results matching ""